Summary: Limit the number of simultaneous downloads per IP address
Name: mod_limitipconn
Version: 0.23
Release: 4%{?dist}
License: BSD-like
Group: System Environment/Daemons
URL: http://dominia.org/djao/limitipconn2.html
Source0: http://dominia.org/djao/limit/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: httpd-devel, libtool
#Requires: httpd = %(rpm -q --qf '%%{epoch}:%%{version}' httpd | sed -e's,0:,,' -e's,(none):,,')
Requires: httpd >= 2.0

%description
Apache 2.0 C module to limit the maximum number of simultaneous
connections per IP address. Allows inclusion and exclusion of files
based on MIME type.

%prep
%setup -q

%build
make APXS=/usr/sbin/apxs

%define httpd_moddir %(/usr/sbin/apxs -q LIBEXECDIR)
%install
rm -rf %{buildroot}
LIBEXECDIR=%{buildroot}`/usr/sbin/apxs -q LIBEXECDIR`
mkdir -p "$LIBEXECDIR"
make install APXS="/usr/sbin/apxs -S LIBEXECDIR=%{buildroot}%{httpd_moddir}"

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{httpd_moddir}/mod_limitipconn.so

%changelog
* Sun Oct  4 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-4
- Update to 0.23.

* Tue Nov  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

